:root {
    /*--Footer--*/
    --darkColor: #252525;
    --copyRightColor: #181818;
    --footerTextColor: rgb(189, 189, 189);
}

/* general */
body {
    background-color: var(--darkColor);
    margin: 0;
    height: 100%;
    font-family: 'Work Sans', sans-serif;
}

/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
body {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

.no-scroll {
    overflow: hidden;
}

header {
    position: fixed;
    z-index: 20;
    height: 5vw;
    width: 100%;
    top: 0;
}

header img {
    display: block;
    margin-right: auto;
    margin-left: auto;
    height: 4vw;
}

header a {
    position: absolute;
    top: 2vw;
    margin-left: 2vw;
    text-decoration: none;
    color: black;
    background-color: #ffffff;
    border: 1px solid black;
    border-radius: .5vw;
    padding: .3vw .6vw;
}

/* jeu */
.bg-full-screen {
    position: relative;
    z-index: 0;
    min-height: 100vh;
}


.bg-full-screen img {
    width: 100%;
}

.transparent-btn {
    position: absolute;
    z-index: 5;
    cursor: pointer;
    width: 25vw;
    height: 30vw;
}

.zone-clickable-0 {
    left: 0;
}

.zone-clickable-1 {
    left: 10vw;
}

.zone-clickable-2 {
    left: 37vw;
}

.zone-clickable-3 {
    left: 60vw;
}

.zone-clickable-4 {
    left: 73vw;
}

.zone-clickable-5 {
    top: 27vw;
    left: 73vw;
}

.zone-clickable-6 {
    top: 27vw;
    left: 60vw;
}

.zone-clickable-7 {
    top: 25vw;
    left: 37vw;
}

.zone-clickable-8 {
    top: 27vw;
    left: 15vw;
}

.zone-clickable-9 {
    top: 27vw;
    left: 0vw;
}

/* popup info */
#popup-info, #popup-soon, #popup-end {
    position: fixed;
    z-index: 3;
    height: 25rem;
    width: 25rem;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-image: url('/la-cave-des-lutins/img/elements/cadre-marron-fond-noir.png');
    background-size: contain;
    background-repeat: no-repeat;
    text-align: center;
}

#popup-info .popup-content,
#popup-soon .popup-content,
#popup-end .popup-content {
    width: 100%;
}

#popup-info .popup-content img,
#popup-soon .popup-content img,
#popup-end .popup-content img {
    width: 6em;
    margin-top: 1em;
}

#popup-info p,
#popup-soon p,
#popup-end p {
    color: white;
    padding: 1em 2em;
}

#popup-info button {
    background-color: #f089d8;
    color: white;
    padding: 0.4rem 1rem;
    border: none;
    cursor: pointer;
    transition: all .5s;
}

#popup-info button:hover {
    background-color: #f458cf;
}

/* popup jeu */
.popup-game {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    z-index: 100;
}

.popup-game-content {
    height: 45vw;
    width: 45vw;
    /* position: relative;
    z-index: 5;
    background-image: url('/la-cave-des-lutins/img/elements/fond-texture-noire.jpg');
    background-size: cover;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3); */
}

.popup-game-content iframe {
    display: block;
    height: 45vw;
    width: 45vw;
    z-index: 6;
    background-image: url('/la-cave-des-lutins/img/elements/fond-texture-noire.jpg');
}

/* Bouton de fermeture */
#closePopup {
    cursor: pointer;
    position: absolute;
    z-index: 100;
    top: 10px;
    right: 10px;
    width: 30px;
    height: 30px;
    background-color: #ffffff;
    color: rgb(0, 0, 0);
    border-radius: 50%;
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#closePopup::before,
#closePopup::after {
    content: '';
    position: absolute;
    width: 2px;
    height: 20px;
    background-color: rgb(0, 0, 0);
}

#closePopup::before {
    transform: rotate(45deg);
}

#closePopup::after {
    transform: rotate(-45deg);
}



/* footer */
.block25 {
    width: 25%;
}

.footer-primeurs {
    text-align: left;
    padding: 0;
    background-color: var(--darkColor);
    font-size: 0.7em;
    text-transform: uppercase;
}

.container, .container-content, .container-fluid {
    display: flex;
    justify-content: center;
    width: auto;
    height: auto;
    flex-wrap: nowrap;
    align-items: stretch;
    margin: 0 var(--mainMargin);
}

.logo-footer {
    display: block;
    width: 133px;
    margin: auto;
    padding: 0;
    height: auto;
}

footer img.logo {
    width: 100%;
    height: 100%;
    object-fit: contain;
    margin-top: 30%;
}

.logo-footer>img {
    display: block;
    width: 100%;
    height: auto;
}

footer li {
    padding: 10px 0px;
    list-style: none;
}

footer a {
    color: var(--footerTextColor);
    text-decoration: none;
}

footer>div:last-child {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: var(--copyRightColor);
    color: rgb(141, 141, 141);
    padding: 10px 40px;
    border-top: 1px solid rgb(59, 59, 59);
}

footer p {
    font-size: 1em;
    line-height: 1.4em;
}

@media (min-width: 1480px) {
    .block25 {
        margin: 0.5vw 0;
        padding: 0 10px;
    }
}

@media screen and (min-width: 960px) and (max-width: 1600px) {
    .k-contest {
        transform: scale(0.6) translateY(-30%);
    }
}

@media screen and (max-width: 960px) {

    header {
        height: 6rem;
    }

    header a {
        margin-left: .3rem;
        margin-right: auto;
        display: block;
        width: 13em;
        text-align: center;
        border-radius: 9px;
    }

    header img {
        height: 3rem;
    }

    .scrollable-container {
        overflow-x: auto;
    }

    .bg-full-screen img {
        height: 100vh;
        width: inherit;
    }

    .transparent-btn {
        display: none;
    }

    .popup-game-content iframe {
        height: 85vh;
        width: 83vw;
        margin-top: 2rem;
        margin-right: auto;
        margin-left: auto;
    }

    #popup-info, #popup-soon, #popup-end {
        height: 23rem;
        width: 23rem;
        background-image: url('/la-cave-des-lutins/img/elements/fond-texture-noire-mobile.jpg');
        background-size: cover;
    }

    #popup-info .popup-content img, #popup-soon .popup-content img, #popup-end .popup-content img {
        width: 5em;
    }

    #closePopup {
        top: 20px;
        right: 20px;
        width: 40px;
        height: 40px;
    }

    .popup-game {
        position: absolute;
        width: 100%;
        height: 100%;
    }

    .popup-game-content {
        width: 100%;
        height: 100%;
        padding: 0px;
        background-image: url(/la-cave-des-lutins/img/elements/fond-texture-noire-mobile.jpg);
    }

    .k-contest {
        background-color: black !important; 
    }

    .footer-primeurs .container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .block25 {
        width: inherit;
    }

    footer ul {
        padding-inline-start: 0px;
    }
}


@media screen and (max-width: 460px) {
    #popup-info, #popup-soon, #popup-end {
        height: 22rem;
        width: 19rem;
    }

    #popup-info p, #popup-soon p, #popup-end p {
        font-size: .9em;
    }

    .popup-game-content iframe {
        height: 84vh;
        width: 95vw;
        margin-top: 5rem;
    }
}